version: '3.9'

services:
  mariadb:
    image: mariadb
    container_name: mysql
    ports:
      - "3306:3306"
    volumes:
      - ${PWD}/mysqldb:/var/lib/mysql
    command: 
      - --character-set-server=utf8mb4
      - --collation-server=utf8mb4_unicode_ci
      - --skip-character-set-client-handshake
    environment:
      MYSQL_ROOT_PASSWORD: openteam
      MYSQL_DATABASE: openteam
      MYSQL_USER: openteam
      MYSQL_PASSWORD: openteam

  # adminer:
  #   image: adminer
  #   restart: always
  #   ports:
  #     - 8080:8080
